package uoc.ows.beans;

import java.util.Date;
import java.io.Serializable;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * Execution
 * Bean que representa un registre de la taula d'execucions.
 *
 * @author LLuis Cozar Prez
 */

public class Execution implements Serializable {

	
	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;
	
	/** The idjob. */
	private int idjob;
	
	/** The offsetjob. */
	private String offsetjob;
	
	/** The position. */
	private int position;
	
	/** The line. */
	private String line;
	
	/** The timestamp. */
	private Date timestamp;
	
	/**
	 * Gets the timestamp.
	 *
	 * @return the timestamp
	 */
	public Date getTimestamp() {
		return timestamp;
	}

	/**
	 * Sets the timestamp.
	 *
	 * @param timestamp the new timestamp
	 */
	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	/**
	 * Gets the idjob.
	 *
	 * @return the idjob
	 */
	public int getIdjob() {
		return idjob;
	}

	/**
	 * Sets the idjob.
	 *
	 * @param idjob the new idjob
	 */
	public void setIdjob(int idjob) {
		this.idjob = idjob;
	}


	/**
	 * Gets the offsetjob.
	 *
	 * @return the offsetjob
	 */
	public String getOffsetjob() {
		return offsetjob;
	}



	/**
	 * Sets the offsetjob.
	 *
	 * @param offsetjob the new offsetjob
	 */
	public void setOffsetjob(String offsetjob) {
		this.offsetjob = offsetjob;
	}



	/**
	 * Gets the position.
	 *
	 * @return the position
	 */
	public int getPosition() {
		return position;
	}



	/**
	 * Sets the position.
	 *
	 * @param position the new position
	 */
	public void setPosition(int position) {
		this.position = position;
	}



	/**
	 * Gets the line.
	 *
	 * @return the line
	 */
	public String getLine() {
		return line;
	}



	/**
	 * Sets the line.
	 *
	 * @param line the new line
	 */
	public void setLine(String line) {
		this.line = line;
	}



	/**
	 * Gets the serialversionuid.
	 *
	 * @return the serialversionuid
	 */
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String toString() {
		   return ToStringBuilder.reflectionToString(this);
		 }
}
