package uoc.ows.beans;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * MessageExecutionMQ
 * Bean que representa un registre/missatge MQ realtiu a una execuci.
 *
 * @author LLuis Cozar Prez
 */

public class MessageExecutionMQ implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 3L;
	
	/** The idjob. */
	private int idjob;
	
	/** The offsetjob. */
	private String offsetjob;
	
	/** The timestamp. */
	private Date timestamp;
	
	/** The position. */
	private int position;
	
	/** The line. */
	private String line;
	
	/** The Sender node. */
	private String SenderNode;
	
	/** The qname reply. */
	private String qnameReply;
	
	/** The Receiver node. */
	private String ReceiverNode;
	
	/** The qname. */
	private String qname;
	
	/**
	 * Gets the timestamp.
	 *
	 * @return the timestamp
	 */
	public Date getTimestamp() {
		return timestamp;
	}


	/**
	 * Sets the timestamp.
	 *
	 * @param timestamp the new timestamp
	 */
	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}


	/**
	 * Gets the sender node.
	 *
	 * @return the sender node
	 */
	public String getSenderNode() {
		return SenderNode;
	}


	/**
	 * Sets the sender node.
	 *
	 * @param senderNode the new sender node
	 */
	public void setSenderNode(String senderNode) {
		SenderNode = senderNode;
	}


	/**
	 * Gets the qname reply.
	 *
	 * @return the qname reply
	 */
	public String getQnameReply() {
		return qnameReply;
	}


	/**
	 * Sets the qname reply.
	 *
	 * @param qnameReply the new qname reply
	 */
	public void setQnameReply(String qnameReply) {
		this.qnameReply = qnameReply;
	}


	/**
	 * Gets the receiver node.
	 *
	 * @return the receiver node
	 */
	public String getReceiverNode() {
		return ReceiverNode;
	}


	/**
	 * Sets the receiver node.
	 *
	 * @param receiverNode the new receiver node
	 */
	public void setReceiverNode(String receiverNode) {
		ReceiverNode = receiverNode;
	}


	/**
	 * Gets the qname.
	 *
	 * @return the qname
	 */
	public String getQname() {
		return qname;
	}


	/**
	 * Sets the qname.
	 *
	 * @param qname the new qname
	 */
	public void setQname(String qname) {
		this.qname = qname;
	}


	/**
	 * Gets the idjob.
	 *
	 * @return the idjob
	 */
	public int getIdjob() {
		return idjob;
	}


	/**
	 * Sets the idjob.
	 *
	 * @param idjob the new idjob
	 */
	public void setIdjob(int idjob) {
		this.idjob = idjob;
	}


	/**
	 * Gets the offsetjob.
	 *
	 * @return the offsetjob
	 */
	public String getOffsetjob() {
		return offsetjob;
	}


	/**
	 * Sets the offsetjob.
	 *
	 * @param offsetjob the new offsetjob
	 */
	public void setOffsetjob(String offsetjob) {
		this.offsetjob = offsetjob;
	}


	/**
	 * Gets the position.
	 *
	 * @return the position
	 */
	public int getPosition() {
		return position;
	}


	/**
	 * Sets the position.
	 *
	 * @param position the new position
	 */
	public void setPosition(int position) {
		this.position = position;
	}


	/**
	 * Gets the line.
	 *
	 * @return the line
	 */
	public String getLine() {
		return line;
	}


	/**
	 * Sets the line.
	 *
	 * @param line the new line
	 */
	public void setLine(String line) {
		this.line = line;
	}


	/**
	 * Gets the serialversionuid.
	 *
	 * @return the serialversionuid
	 */
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String toString() {
		   return ToStringBuilder.reflectionToString(this);
		 }
	
	
	
}
