package uoc.ows.common;

/**
 * OWSException
 * Gesti d'execpcions.
 *
 * @author LLuis Cozar Prez
 */

public class OWSException extends Exception {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 2L;

    /**
     * Instantiates a new oWS exception.
     */
    public OWSException() {
        super();
    }
    
    /**
     * Instantiates a new oWS exception.
     *
     * @param msg 
     */
    public OWSException(String msg) {
        super(msg);
        System.out.println(msg);
    }
    
    /** The Constant ERR_URL. */
    public static final String ERR_URL          = TDSLanguageUtils.getMessage("ERR_URL");
    
    /** The Constant ERR_REMOTO. */
    public static final String ERR_REMOTO       = TDSLanguageUtils.getMessage("ERR_REMOTO");
    
    /** The Constant ERR_REG_RMI. */
    public static final String ERR_REG_RMI      = TDSLanguageUtils.getMessage("ERR_REG_RMI");
    
    /** The Constant ERR_NOT_FILE. */
    public static final String ERR_NOT_FILE     = TDSLanguageUtils.getMessage("ERR_NOT_FILE");
    
    /** The Constant ERR_NOT_BOUND. */
    public static final String ERR_NOT_BOUND    = TDSLanguageUtils.getMessage("ERR_NOT_BOUND");
    
    /** The Constant ERR_NOT_POSTGRES. */
    public static final String ERR_NOT_POSTGRES = TDSLanguageUtils.getMessage("ERR_NOT_POSTGRES");
    
    /** The Constant ERR_PROPERTIES. */
    public static final String ERR_PROPERTIES   = TDSLanguageUtils.getMessage("ERR_PROPERTIES");
    
    /** The Constant ERR_CONECTION. */
    public static final String ERR_CONECTION    = TDSLanguageUtils.getMessage("ERR_CONECTION");
    
    /** The Constant ERR_SQL. */
    public static final String ERR_SQL          = TDSLanguageUtils.getMessage("ERR_SQL");
    
    /** The Constant ERR_BD_STOP. */
    public static final String ERR_BD_STOP      = TDSLanguageUtils.getMessage("ERR_BD_STOP");
    
    /** The Constant ERR_DRV. */
    public static final String ERR_DRV          = TDSLanguageUtils.getMessage("ERR_DRV");
    
    /** The Constant ERR_NOT_EST. */
    public static final String ERR_NOT_EST      = TDSLanguageUtils.getMessage("ERR_NOT_EST");
    
    /** The Constant ERR_NOT_DATE. */
    public static final String ERR_NOT_DATE     = TDSLanguageUtils.getMessage("ERR_NOT_DATE");
    
    /** The Constant ERR_INSERT. */
    public static final String ERR_INSERT       = TDSLanguageUtils.getMessage("ERR_INSERT");
    
    /** The Constant ERR_PARSE. */
    public static final String ERR_PARSE        = TDSLanguageUtils.getMessage("ERR_PARSE");
    
    /** The Constant ERR_OBJ_RMI. */
    public static final String ERR_OBJ_RMI      = TDSLanguageUtils.getMessage("ERR_OBJ_RMI");
    
    /** The Constant ERR_DESC_EXEC. */
    public static final String ERR_DESC_EXEC    = TDSLanguageUtils.getMessage("ERR_DESC_EXEC");
    
    /** The Constant ERR_NO_COD. */
    public static final String ERR_NO_COD       = TDSLanguageUtils.getMessage("ERR_NO_COD");
    
    /** The Constant ERR_DESC. */
    public static final String ERR_DESC         = TDSLanguageUtils.getMessage("ERR_DESC");
    
    /** The Constant ERR_STATEMENT. */
    public static final String ERR_STATEMENT    = TDSLanguageUtils.getMessage("ERR_STATEMENT");
    
    /** The Constant ERR_DESC_STAT. */
    public static final String ERR_DESC_STAT    = TDSLanguageUtils.getMessage("ERR_DESC_STAT");
    
    /** The Constant ERR_NOT_ACT. */
    public static final String ERR_NOT_ACT      = TDSLanguageUtils.getMessage("ERR_NOT_ACT");
    
    /** The Constant ERR_INSC_NOEXIST. */
    public static final String ERR_INSC_NOEXIST = TDSLanguageUtils.getMessage("ERR_INSC_NOEXIST");
    
    /** The Constant ERR_INSC_SOLAPE. */
    public static final String ERR_INSC_SOLAPE  = TDSLanguageUtils.getMessage("ERR_INSC_SOLAPE");
    
    /** The Constant ERR_INSC_MAS3. */
    public static final String ERR_INSC_MAS3    = TDSLanguageUtils.getMessage("ERR_INSC_MAS3");
    
    /** The Constant ERR_INSC_LLENO. */
    public static final String ERR_INSC_LLENO   = TDSLanguageUtils.getMessage("ERR_INSC_LLENO");
    
    /** The Constant ERR_INSC_COMEN. */
    public static final String ERR_INSC_COMEN   = TDSLanguageUtils.getMessage("ERR_INSC_COMEN");
    
    /** The Constant ERR_INSC_FIN. */
    public static final String ERR_INSC_FIN     = TDSLanguageUtils.getMessage("ERR_INSC_FIN");
    
    /** The Constant ERR_SELEC_EST. */
    public static final String ERR_SELEC_EST    = TDSLanguageUtils.getMessage("ERR_SELEC_EST");
    
    /** The Constant ERR_SELEC_ACT. */
    public static final String ERR_SELEC_ACT    = TDSLanguageUtils.getMessage("ERR_SELEC_ACT");
    
    /** The Constant ERR_ARIT. */
    public static final String ERR_ARIT         = TDSLanguageUtils.getMessage("ERR_ARIT");
    
    /** The Constant ERR_INSC_EXIS. */
    public static final String ERR_INSC_EXIS    = TDSLanguageUtils.getMessage("ERR_INSC_EXIS");

}
